---
type: api
title: Get details about heap dumps for a Deployment
description: Gets details about existing heap dumps and in progress heap dump captures across all instances belonging to the deployment.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-get-deployment-heap-dumps
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-get-deployment-heap-dumps
products:
  - Elastic Cloud Enterprise
---

# Get details about heap dumps for a Deployment

## Paths

- `GET` `/deployments/{deployment_id}/heap_dumps`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#apikey)

#### Path Parameters

- `deployment_id` (string)
  Identifier for the Deployment.

## Description

Gets details about existing heap dumps and in progress heap dump captures across all instances belonging to the deployment.

## Responses

#### `200`

The heap dump details for all instances belonging to the deployment

`application/json`

- `elasticsearch` ([] ResourceHeapDumps)
  The list of Elasticsearch resources and their heap dumps
  - `ref_id` (string)
    The locally-unique user-specified id of the resource that the heap dump was captured from
  - `id` (string)
    The randomly-generated id of a Resource
  - `heap_dumps` ([] HeapDump)
    The heap dumps belonging to this resource
    - `instance_id` (string)
      The Elastic Cloud name/id of the instance (container)
    - `size` (integer)
      The size in bytes of the heap dump
    - `type` (string)
      The type of heap dump
    - `status` (string)
      The status of the heap dump
    - `error` (string)
      An error message if the heap dump failed
    - `captured` (string)
      The time at which the heap dump was captured
- `enterprise_search` ([] ResourceHeapDumps)
  The list of Enterprise Search resources and their heap dumps
  - `ref_id` (string)
    The locally-unique user-specified id of the resource that the heap dump was captured from
  - `id` (string)
    The randomly-generated id of a Resource
  - `heap_dumps` ([] HeapDump)
    The heap dumps belonging to this resource
    - `instance_id` (string)
      The Elastic Cloud name/id of the instance (container)
    - `size` (integer)
      The size in bytes of the heap dump
    - `type` (string)
      The type of heap dump
    - `status` (string)
      The status of the heap dump
    - `error` (string)
      An error message if the heap dump failed
    - `captured` (string)
      The time at which the heap dump was captured
#### `404`

The deployment specified by {deployment_id} cannot be found. (code: `deployments.deployment_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
GET /deployments/{deployment_id}/heap_dumps
```

#### curl

```curl
curl -X GET "/deployments/{deployment_id}/heap_dumps"
```

